From: Greg KH <greg@kroah.com>
To: marcelo@conectiva.com.br
Cc: pcihpd-discuss@lists.sourceforge.net
Subject: [PATCH 3 of 6] PCI Hotplug Compaq driver update

Hi,

Here's a patch against 2.4.19-pre1 for the Compaq PCI Hotplug driver
that fixes a proc entry bug, and adds a call to reparent_to_init() to
the driver's kernel thread.

thanks,

greg k-h



diff -Nru a/drivers/hotplug/cpqphp_ctrl.c b/drivers/hotplug/cpqphp_ctrl.c
--- a/drivers/hotplug/cpqphp_ctrl.c	Tue Feb 26 13:19:27 2002
+++ b/drivers/hotplug/cpqphp_ctrl.c	Tue Feb 26 13:19:27 2002
@@ -1707,6 +1707,7 @@
 	struct controller *ctrl;
 	lock_kernel();
 	daemonize();
+	reparent_to_init();
 	
 	//  New name
 	strcpy(current->comm, "phpd_event");
diff -Nru a/drivers/hotplug/cpqphp_proc.c b/drivers/hotplug/cpqphp_proc.c
--- a/drivers/hotplug/cpqphp_proc.c	Tue Feb 26 13:19:27 2002
+++ b/drivers/hotplug/cpqphp_proc.c	Tue Feb 26 13:19:27 2002
@@ -177,7 +177,7 @@
 	
 int cpqhp_proc_init_ctrl (void)
 {
-	ctrl_proc_root = proc_mkdir("driver/hpc", NULL);
+	ctrl_proc_root = proc_mkdir("hpc", proc_root_driver);
 	if (!ctrl_proc_root)
 		return -ENOMEM;
 	ctrl_proc_root->owner = THIS_MODULE;

